2021-04-11 10:58 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001254FSSCPgameplaypublic2007-01-30 06:16
ReporterZantor 
Assigned Totaylor 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionduplicate 
Product Version3.6.9 
Target VersionFixed in Version 
Summary0001254: changing cannon back to first in list crashes game
DescriptionAssert: bank_to_fire >= 0 && bank_to_fire < swp->num_primary_banks
File: J:\src\cvs\fs2_open_3_6_9.final\code\Hud\HUDtarget.cpp
Line: 4345
[This filename points to the location of a file on the computer that built this executable]

Call stack:
------------------------------------------------------------------
    player_farthest_weapon_range() radar_plot_object_std() obj_move_all_post() obj_move_all() game_simulation_frame() game_frame() game_do_frame() game_do_state() gameseq_process_events() game_main() WinMain() WinMainCRTStartup() kernel32.dll 7c816fd7()
------------------------------------------------------------------
Additional InformationComputer specs:

AMD Athlon 2400+, 2.0 GHz
VIA KM400 Pro chipset, VIA VT8235 southbridge
windows xp pro sp2
512 MB DDR RAM, 266 of 333 MHz
PNY nVidia GeForce FX 5200, 128 MB DDR RAM
TagsNo tags attached.
Attached Files

-Relationships
duplicate of 0001200resolvedtaylor Assert: bank_to_fire >= 0 
+Relationships

-Notes

~0007558

FUBAR-BDHR (developer)

This is a duplicate of an issue that I filed. It has been fixed. Download the latest 3.6.9 exes. They should be dated 1-12-07.

~0007559

Zantor (reporter)

Last edited: 2007-01-30 03:35

One important detail left out. This was found with the debug spew.

~0007561

taylor (administrator)

As FUBAR-BDHR stated, this has already been fixed. You just need to re-download the 3.6.9 release since the builds were updated on th 12th.


Closing this as a duplicate.
+Notes

-Issue History
Date Modified Username Field Change
2007-01-29 23:43 Zantor New Issue
2007-01-29 23:58 FUBAR-BDHR Note Added: 0007558
2007-01-30 02:13 Zantor Note Added: 0007559
2007-01-30 03:35 Zantor Note Edited: 0007559
2007-01-30 06:14 taylor Note Added: 0007561
2007-01-30 06:16 taylor Relationship added duplicate of 0001200
2007-01-30 06:16 taylor Duplicate ID 0 => 1200
2007-01-30 06:16 taylor Status new => resolved
2007-01-30 06:16 taylor Resolution open => duplicate
2007-01-30 06:16 taylor Assigned To => taylor
+Issue History